Intel-processorer ramt af mikrokode-bug: Slå hyper-threading fra

En potentielt alvorlig fejl, som påvirker nyere Intel-processorer, er dukket op.

Flere nyere processorer fra Intel har vist sig at indeholde en bug, der kan få systemer til at opføre sig uforudsigeligt, hvis hyper-threading er slået til. Problemet er nærmere beskrevet i en advisory på en malingliste for Linux-distributionen Debian, hvor der bliver talt om, at de ramte processorer kan 'dangerously misbehave when hyper-threading is enabled'.

Det oplyser The Register.

Fejlen kan påvirke Skylake og Kaby Lake Intel Core-processorer samt server-processorerne Xeon V5 og Xeon V6. Også visse Pentium-modeller skulle være påvirkede.

Symptomerne på fejlen skulle kunne være alt fra data-korruption over data-tab til fejlagtig opførsel i applikationer og systemer.

Problemet blev rapporteret til holdet bag Debian af udvikler ved OCamlL Mark Shinwell, da en compiler udløste problemer relateret til Intel-mikrokode.

Løsninger

Alt afhængig af den specifikke processor-model kan der være forskellige løsninger til at undgå fejlen, fremgår det af Debian-beskeden. Beskeden indeholder også metoder til at identificere, om man har en processor, der måtte være påvirket af problemet.

Hvad Debian angår kan brugere med Kaby Lake-processorer kontakte system-leverandører i forhold til BIOS/UEFI-opdateringer - og indtil da slå hyper-threading fra.

Debian-brugere med Skylake-processorer kan - alt afhængig af processormodel - installere en intel-hyperthreading-pakke. Alternativt lyder rådet at slå hyper-threading fra og vente på et BIOS/UEFI-rettelse.

Brugere af andre ikke-Debian-systemer må ifølge The Register vente på platforms-specifikke rettelser eller på opgraderinger til BIOS/UEFI fra de pågældende system-leverandører.

Tips og korrekturforslag til denne historie sendes til tip@version2.dk
Kommentarer (0)
sortSortér kommentarer
  • Ældste først
  • Nyeste først
  • Bedste først
Log ind eller Opret konto for at kommentere